Imports System.Windows.Forms

Public Class frmMessageBox

    Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK_Button.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.OK
        Me.Close()
    End Sub


    Private Sub frmMessageBox_Load(sender As Object, e As EventArgs) Handles Me.Load
        Try
            Select Case MSG_TYPE
                Case "ERROR"
                    OK_Button.Image = My.Resources.delete
                Case Else
                    OK_Button.Image = Nothing
            End Select
            Me.Text = MSG_TITLE
            If MSG_LABLE2 = String.Empty Then
                Me.Size = New Size(449, 177)
                Me.lblmsg2.Visible = False
                Me.txtmsg2.Visible = False
            Else
                Me.Size = New Size(449, 251)
                Me.lblmsg2.Visible = True
                Me.txtmsg2.Visible = True
                Me.lblmsg2.Text = MSG_LABLE2
                Me.txtmsg2.Text = MSG_ERROR2
            End If
            Me.lblmsg1.Text = MSG_LABLE1
            Me.txtmsg1.Text = MSG_ERROR1
        Catch ex As Exception
            MsgBox("Unexpected Error: " & ex.Message, MsgBoxStyle.Critical)
        End Try
    End Sub

    Private Sub frmMessageBox_Shown(sender As Object, e As EventArgs) Handles Me.Shown
        Me.BringToFront()
    End Sub
End Class
